// license-header java merge-point
//
// Attention: Generated code! Do not modify by hand!
// Generated by: HibernateEntity.vsl in andromda-hibernate-cartridge.
//
package fr.ifremer.adagio.core.dao.data.measure;

/*
 * #%L
 * SIH-Adagio :: Core for Allegro
 * $Id:$
 * $HeadURL:$
 * %%
 * Copyright (C) 2012 - 2013 Ifremer
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


/**
 * <p>
 * Résulat de classement destiné à classifier un lot ou un produit.
 * </p>
 * <p>
 * Cela peut-être aussi les caractéristiques d'un produit
 * (Produce), par exemple :
 * </p>
 * <p>
 * - Valorisation de la commercialisation : Label rouge, Eco Label,
 * marque collective controlée par un organisme tier.
 * </p>
 * <p>
 * - Destination commerciale : consommation humaine, consommation
 * animale, etc.
 * </p>
 */
public abstract class SortingMeasurement
    extends fr.ifremer.adagio.core.dao.data.measure.MeasurementImpl
{
    /**
     * The serial version UID of this class. Needed for serialization.
     */
    private static final long serialVersionUID = 7151184891629942077L;

    private java.lang.Integer rankOrder;

    /**
     * <p>
     * Numéro d'ordre de la mesure de classement (au sein d'un un lot).
     * </p>
     */
    public java.lang.Integer getRankOrder()
    {
        return this.rankOrder;
    }

    public void setRankOrder(java.lang.Integer rankOrder)
    {
        this.rankOrder = rankOrder;
    }


    private fr.ifremer.adagio.core.dao.data.batch.SortingBatch sortingBatch;

    /**
     * <p>
     * Lot auquel est rattaché le critère de classement (optionnel).
     * </p>
     */
    public fr.ifremer.adagio.core.dao.data.batch.SortingBatch getSortingBatch()
    {
        return this.sortingBatch;
    }

    public void setSortingBatch(fr.ifremer.adagio.core.dao.data.batch.SortingBatch sortingBatch)
    {
        this.sortingBatch = sortingBatch;
    }

    /**
     * This entity does not have any identifiers
     * but since it extends the <code>fr.ifremer.adagio.core.dao.data.measure.MeasurementImpl</code> class
     * it will simply delegate the call up there.
     *
     * @see fr.ifremer.adagio.core.dao.data.measure.Measurement#equals(Object)
     */
    public boolean equals(Object object)
    {
        return super.equals(object);
    }

    /**
     * This entity does not have any identifiers
     * but since it extends the <code>fr.ifremer.adagio.core.dao.data.measure.MeasurementImpl</code> class
     * it will simply delegate the call up there.
     *
     * @see fr.ifremer.adagio.core.dao.data.measure.Measurement#hashCode()
     */
    public int hashCode()
    {
        return super.hashCode();
    }

    /**
     * Constructs new instances of {@link fr.ifremer.adagio.core.dao.data.measure.SortingMeasurement}.
     */
    public static final class Factory
    {
        /**
         * Constructs a new instance of {@link fr.ifremer.adagio.core.dao.data.measure.SortingMeasurement}.
         */
        public static fr.ifremer.adagio.core.dao.data.measure.SortingMeasurement newInstance()
        {
            final fr.ifremer.adagio.core.dao.data.measure.SortingMeasurement entity = new fr.ifremer.adagio.core.dao.data.measure.SortingMeasurementImpl();
			return entity;
        }

        /**
         * Constructs a new instance of {@link fr.ifremer.adagio.core.dao.data.measure.SortingMeasurement}, taking all required and/or
         * read-only properties as arguments.
         */
        public static fr.ifremer.adagio.core.dao.data.measure.SortingMeasurement newInstance(fr.ifremer.adagio.core.dao.referential.QualityFlag qualityFlag, fr.ifremer.adagio.core.dao.referential.pmfm.Pmfm pmfm, java.lang.Integer rankOrder, fr.ifremer.adagio.core.dao.data.batch.SortingBatch sortingBatch)
        {
            final fr.ifremer.adagio.core.dao.data.measure.SortingMeasurement entity = newInstance();
            entity.setQualityFlag(qualityFlag);
            entity.setPmfm(pmfm);
            entity.setRankOrder(rankOrder);
            entity.setSortingBatch(sortingBatch);
            return entity;
        }

        /**
         * Constructs a new instance of {@link fr.ifremer.adagio.core.dao.data.measure.SortingMeasurement}, taking all possible properties
         * (except the identifier(s))as arguments.
         */
        public static fr.ifremer.adagio.core.dao.data.measure.SortingMeasurement newInstance(java.lang.Float numericalValue, java.lang.String alphanumericalValue, java.lang.Integer digitCount, java.lang.Float precisionValue, java.util.Date controlDate, java.util.Date validationDate, java.util.Date qualificationDate, java.lang.String qualificationComments, fr.ifremer.adagio.core.dao.referential.QualityFlag qualityFlag, fr.ifremer.adagio.core.dao.referential.pmfm.AggregationLevel aggregationLevel, fr.ifremer.adagio.core.dao.referential.PrecisionType precisionType, fr.ifremer.adagio.core.dao.referential.AnalysisInstrument analysisInstrument, fr.ifremer.adagio.core.dao.referential.NumericalPrecision numericalPrecision, fr.ifremer.adagio.core.dao.administration.user.Department department, fr.ifremer.adagio.core.dao.referential.pmfm.Pmfm pmfm, fr.ifremer.adagio.core.dao.referential.pmfm.QualitativeValue qualitativeValue, java.lang.Integer rankOrder, fr.ifremer.adagio.core.dao.data.batch.SortingBatch sortingBatch)
        {
            final fr.ifremer.adagio.core.dao.data.measure.SortingMeasurement entity = newInstance();
            entity.setNumericalValue(numericalValue);
            entity.setAlphanumericalValue(alphanumericalValue);
            entity.setDigitCount(digitCount);
            entity.setPrecisionValue(precisionValue);
            entity.setControlDate(controlDate);
            entity.setValidationDate(validationDate);
            entity.setQualificationDate(qualificationDate);
            entity.setQualificationComments(qualificationComments);
            entity.setQualityFlag(qualityFlag);
            entity.setAggregationLevel(aggregationLevel);
            entity.setPrecisionType(precisionType);
            entity.setAnalysisInstrument(analysisInstrument);
            entity.setNumericalPrecision(numericalPrecision);
            entity.setDepartment(department);
            entity.setPmfm(pmfm);
            entity.setQualitativeValue(qualitativeValue);
            entity.setRankOrder(rankOrder);
            entity.setSortingBatch(sortingBatch);
            return entity;
        }
    }
    
// SortingMeasurement.java merge-point
}